<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="style.css">
    <title>Maze Generator</title>
</head>
<body>
    <div class="generate-buttons">
        <div class="submit-panel-group-1">
                <input type="number" id="cell-size-input" value="30" min="4" step="1" placeholder="10" class="number-fields">
                <label for="cell-size-input">Cell Size (pixels)</label><br>
                <input type="number" id="rows-number-input" value="20" min="2" step="1" placeholder="10" class="number-fields">
                <label for="rows-number-input">Number of rows</label><br>
                <input type="number" id="columns-number-input" value="30" min="2" step="1" placeholder="10" class="number-fields">
                <label for="columns-number-input">Number of columns</label>
            </div>
        <div class="submit-panel-group-2">
                <input type="color" id="wall-color-input" value="#FFFFFF" class="color-fields">
                <label for="wall-color-input">Wall color</label><br>
                <input type="color" id="background-color-input" value="#000000" class="color-fields">
                <label for="background-color-input">Background color</label><br>
                <input type="number" id="wall-thickness-input" value="2" placeholder="2" min="2" max="20" step="2" class="number-fields">
                <label for="wall-thickness-input">Wall thickness</label><br>
        </div>
        <div class="submit-panel-group-3">
                <input type="color" id="entry-cell-color-input" value="#F26969" class="color-fields">
                <select name="entry-cell" id="entry-cell" class="dropdown-fields">
                    <option value="top-left">Top-Left</option>
                    <option value="top-middle">Top-Middle</option>
                    <option value="top-right">Top-Right</option>
                    <option value="left-top">Left-Top</option>
                    <option value="left-middle">Left-Middle</option>
                    <option value="left-bottom">Left-Bottom</option>
                    <option value="right-top">Right-Top</option>
                    <option value="right-middle">Right-Middle</option>
                    <option value="right-bottom">Right-Bottom</option>
                    <option value="bottom-left">Bottom-Left</option>
                    <option value="bottom-middle">Bottom-Middle</option>
                    <option value="bottom-right">Bottom-Right</option>
                    <option value="center">Center</option>
                </select>
                <label for="entry-cell">Entry Cell (Color & Position)</label><br>
                <input type="color" id="exit-cell-color-input" value="#77F39C" class="color-fields">
                <select name="exit-cell" id="exit-cell" class="dropdown-fields">
                    <option value="top-left">Top-Left</option>
                    <option value="top-middle">Top-Middle</option>
                    <option value="top-right">Top-Right</option>
                    <option value="left-top">Left-Top</option>
                    <option value="left-middle">Left-Middle</option>
                    <option value="left-bottom">Left-Bottom</option>
                    <option value="right-top">Right-Top</option>
                    <option value="right-middle">Right-Middle</option>
                    <option value="right-bottom">Right-Bottom</option>
                    <option value="bottom-left">Bottom-Left</option>
                    <option value="bottom-middle">Bottom-Middle</option>
                    <option value="bottom-right" selected>Bottom-Right</option>
                    <option value="center">Center</option>
                </select>
                <label for="exit-cell">Exit Cell (Color & Position)</label><br>
        <button id="generateMazeVisualButton">Generate Maze Visual</button>
        <button id="generateMazeFastButton">Generate Maze Fast</button>
    </div>
    <hr class="hr">
    <div>
        <button id="solveWithLinesButton">Solve With Lines</button>
        <button id="clearSolutionButton">Clear Solution</button>
        </div>
    </div>
    <br>
    <div class="class"></div>
    <canvas class="maze" id="myCanvas"></canvas>

    <script type="module" src="main.js"></script>
</body>
</html>